#
# spec file for package libhashtable-devel
#
# Copyright (c) 2024 Michael Berry <trismegustis@gmail.com>
#


Name:           libhashtable-devel
Version:        0.6.6
Release:        4
License:        MIT
Summary:        Generically typed C library for creating hashtables
Url:            https://github.com/berrym/libhashtable
Source:         https://github.com/berrym/release/libhashtable-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  meson
Requires:       glibc

%description
A generically typed C library for creating hashtables that has typed wrapped implementations
to maintain compiler type safety checks.

%prep
%setup -q -n libhashtable

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.md
%{_libdir}/libhashtable.so
%{_includedir}/ht.h

%changelog
* Sat Feb 24 2024 Michael Berry <trismegustis@gmail.com> - 0.6.6-4
- Switch to branch  64bit for build - 0.6.6-4

* Sat Feb 24 2024 Michael Berry <trismegustis@gmail.com> - 0.6.6-3
- v0.6.6-3.

* Sat Feb 24 2024 Michael Berry <trismegustis@gmail.com> - 0.6.6-2
- Fixed incorrect conditional macros in master, using for build.

* Fri Jan 26 2024 Michael Berry <trismegustis@gmail.com> - 0.6.6-1
- Switch to 64bit branch for build

* Fri Jan 26 2024 Michael Berry
- Initial version of the package
